package com.changda.gjjapp.db.entity;
import java.util.*;
import com.fasterxml.jackson.annotation.JsonProperty;
public class TMP_YW_GDHK_QKMX_WH
{
 
//个人贷款编码
@JsonProperty("grdkbm")
private String grdkbm;

// 还款期数
 @JsonProperty("HKQS")
 private int hkqs;
 
 // 开始计息日期
 @JsonProperty("KSRQ")
 private Date ksrq;
 
 // 计息本金
 @JsonProperty("BJ")
 private int bj;
 
 // 本期执行贷款利率
 @JsonProperty("DQLLV")
 private int dqllv;
 
 // 计划还款日期
 @JsonProperty("HKRQ")
 private Date hkrq;
 
 // 计划还款金额
 @JsonProperty("HKJE")
 private int hkje;
 
 // 计划还款本金
 @JsonProperty("HKBJ")
 private int hkbj;
 
 // 计划还款利息
 @JsonProperty("HKLX")
 private int hklx;
 
 // 实际已还金额
 @JsonProperty("SHJE")
 private int shje;
 
 // 实际已还本金
 @JsonProperty("SHBJ")
 private int shbj;
 
 // 实际已还利息
 @JsonProperty("SHLX")
 private int shlx;
 
 // 本次还款滞纳金计息本金
 @JsonProperty("JXBJ")
 private int jxbj;
 
 // 本次还款滞纳金计息开始日期
 @JsonProperty("BJKSRQ")
 private Date bjksrq;
 
 // 本次还款滞纳金计息终止日期
 @JsonProperty("BJZZRQ")
 private Date bjzzrq;
 
 // 本次还款计算滞纳金
 @JsonProperty("ZNJ")
 private int znj;
 
 // 欠款滞纳金
 @JsonProperty("QKZNJ")
 private int qkznj;
 
 // 执行滞纳金年利率
 @JsonProperty("ZNJLLV")
 private int znjllv;
 
 // 本次还款复利利息计息利息
 @JsonProperty("JXLX")
 private int jxlx;
 
 // 本次还款复利利息计息开始日期
 @JsonProperty("LXKSRQ")
 private Date lxksrq;
 
 // 本次还款复利利息计息终止日期
 @JsonProperty("LXZZRQ")
 private Date lxzzrq;
 
 // 本次还款计算复利利息
 @JsonProperty("FLLX")
 private int fllx;
 
 // 欠款复利利息
 @JsonProperty("QKFLLX")
 private int qkfllx;
 
 // 执行复利利息年利率
 @JsonProperty("FLLXLLV")
 private int fllxllv;
 
 // 滞纳金罚息计息滞纳金
 @JsonProperty("JXZNJ")
 private int jxznj;
 
 // 滞纳金罚息计息开始日期
 @JsonProperty("ZNJKSRQ")
 private Date znjksrq;
 
 // 滞纳金罚息计息终止日期
 @JsonProperty("ZNJZZRQ")
 private Date znjzzrq;
 
 // 本次还款计算滞纳金罚息
 @JsonProperty("ZNJLX")
 private int znjlx;
 
 // 欠款滞纳金罚息
 @JsonProperty("QKZNJLX")
 private int qkznjlx;
 
 // 执行滞纳金罚息年利率
 @JsonProperty("ZNJLXLLV")
 private int znjlxllv;
 
 // 复利利息计算方式：1 单利计息 2 复利计息
 @JsonProperty("FXFS")
 private String fxfs;
 
 // 实际已还滞纳金
 @JsonProperty("SHZNJ")
 private int shznj;
 
 // 实际已还复利利息
 @JsonProperty("SHFLLX")
 private int shfllx;
 
 // 实际已还滞纳金罚息
 @JsonProperty("SHZNJLX")
 private int shznjlx;
 
 // 本次归还本金
 @JsonProperty("BCBJ")
 private int bcbj;
 
 // 本次归还利息
 @JsonProperty("BCLX")
 private int bclx;
 
 // 本次归还滞纳金
 @JsonProperty("BCZNJ")
 private int bcznj;
 
 // 本次归还复利利息
 @JsonProperty("BCFLLX")
 private int bcfllx;
 
 // 本次归还滞纳金罚息
 @JsonProperty("BCZNJLX")
 private int bcznjlx;
 
 //  
 @JsonProperty("LX")
 private String lx;
 
 //  
 @JsonProperty("YYWBH")
 private String yywbh;
 
 //  
 @JsonProperty("SQYWBH")
 private String sqywbh;
 
 
 public String getGrdkbm() {
	return grdkbm;
}

public void setGrdkbm(String grdkbm) {
	this.grdkbm = grdkbm;
}
 
 public int getHKQS()
 {
  return hkqs;
 }
 
 public void setHKQS(int hkqs)
 {
  this.hkqs = hkqs;
 }
 
 public Date getKSRQ()
 {
  return ksrq;
 }
 
 public void setKSRQ(Date ksrq)
 {
  this.ksrq = ksrq;
 }
 
 public int getBJ()
 {
  return bj;
 }
 
 public void setBJ(int bj)
 {
  this.bj = bj;
 }
 
 public int getDQLLV()
 {
  return dqllv;
 }
 
 public void setDQLLV(int dqllv)
 {
  this.dqllv = dqllv;
 }
 
 public Date getHKRQ()
 {
  return hkrq;
 }
 
 public void setHKRQ(Date hkrq)
 {
  this.hkrq = hkrq;
 }
 
 public int getHKJE()
 {
  return hkje;
 }
 
 public void setHKJE(int hkje)
 {
  this.hkje = hkje;
 }
 
 public int getHKBJ()
 {
  return hkbj;
 }
 
 public void setHKBJ(int hkbj)
 {
  this.hkbj = hkbj;
 }
 
 public int getHKLX()
 {
  return hklx;
 }
 
 public void setHKLX(int hklx)
 {
  this.hklx = hklx;
 }
 
 public int getSHJE()
 {
  return shje;
 }
 
 public void setSHJE(int shje)
 {
  this.shje = shje;
 }
 
 public int getSHBJ()
 {
  return shbj;
 }
 
 public void setSHBJ(int shbj)
 {
  this.shbj = shbj;
 }
 
 public int getSHLX()
 {
  return shlx;
 }
 
 public void setSHLX(int shlx)
 {
  this.shlx = shlx;
 }
 
 public int getJXBJ()
 {
  return jxbj;
 }
 
 public void setJXBJ(int jxbj)
 {
  this.jxbj = jxbj;
 }
 
 public Date getBJKSRQ()
 {
  return bjksrq;
 }
 
 public void setBJKSRQ(Date bjksrq)
 {
  this.bjksrq = bjksrq;
 }
 
 public Date getBJZZRQ()
 {
  return bjzzrq;
 }
 
 public void setBJZZRQ(Date bjzzrq)
 {
  this.bjzzrq = bjzzrq;
 }
 
 public int getZNJ()
 {
  return znj;
 }
 
 public void setZNJ(int znj)
 {
  this.znj = znj;
 }
 
 public int getQKZNJ()
 {
  return qkznj;
 }
 
 public void setQKZNJ(int qkznj)
 {
  this.qkznj = qkznj;
 }
 
 public int getZNJLLV()
 {
  return znjllv;
 }
 
 public void setZNJLLV(int znjllv)
 {
  this.znjllv = znjllv;
 }
 
 public int getJXLX()
 {
  return jxlx;
 }
 
 public void setJXLX(int jxlx)
 {
  this.jxlx = jxlx;
 }
 
 public Date getLXKSRQ()
 {
  return lxksrq;
 }
 
 public void setLXKSRQ(Date lxksrq)
 {
  this.lxksrq = lxksrq;
 }
 
 public Date getLXZZRQ()
 {
  return lxzzrq;
 }
 
 public void setLXZZRQ(Date lxzzrq)
 {
  this.lxzzrq = lxzzrq;
 }
 
 public int getFLLX()
 {
  return fllx;
 }
 
 public void setFLLX(int fllx)
 {
  this.fllx = fllx;
 }
 
 public int getQKFLLX()
 {
  return qkfllx;
 }
 
 public void setQKFLLX(int qkfllx)
 {
  this.qkfllx = qkfllx;
 }
 
 public int getFLLXLLV()
 {
  return fllxllv;
 }
 
 public void setFLLXLLV(int fllxllv)
 {
  this.fllxllv = fllxllv;
 }
 
 public int getJXZNJ()
 {
  return jxznj;
 }
 
 public void setJXZNJ(int jxznj)
 {
  this.jxznj = jxznj;
 }
 
 public Date getZNJKSRQ()
 {
  return znjksrq;
 }
 
 public void setZNJKSRQ(Date znjksrq)
 {
  this.znjksrq = znjksrq;
 }
 
 public Date getZNJZZRQ()
 {
  return znjzzrq;
 }
 
 public void setZNJZZRQ(Date znjzzrq)
 {
  this.znjzzrq = znjzzrq;
 }
 
 public int getZNJLX()
 {
  return znjlx;
 }
 
 public void setZNJLX(int znjlx)
 {
  this.znjlx = znjlx;
 }
 
 public int getQKZNJLX()
 {
  return qkznjlx;
 }
 
 public void setQKZNJLX(int qkznjlx)
 {
  this.qkznjlx = qkznjlx;
 }
 
 public int getZNJLXLLV()
 {
  return znjlxllv;
 }
 
 public void setZNJLXLLV(int znjlxllv)
 {
  this.znjlxllv = znjlxllv;
 }
 
 public String getFXFS()
 {
  return fxfs;
 }
 
 public void setFXFS(String fxfs)
 {
  this.fxfs = fxfs;
 }
 
 public int getSHZNJ()
 {
  return shznj;
 }
 
 public void setSHZNJ(int shznj)
 {
  this.shznj = shznj;
 }
 
 public int getSHFLLX()
 {
  return shfllx;
 }
 
 public void setSHFLLX(int shfllx)
 {
  this.shfllx = shfllx;
 }
 
 public int getSHZNJLX()
 {
  return shznjlx;
 }
 
 public void setSHZNJLX(int shznjlx)
 {
  this.shznjlx = shznjlx;
 }
 
 public int getBCBJ()
 {
  return bcbj;
 }
 
 public void setBCBJ(int bcbj)
 {
  this.bcbj = bcbj;
 }
 
 public int getBCLX()
 {
  return bclx;
 }
 
 public void setBCLX(int bclx)
 {
  this.bclx = bclx;
 }
 
 public int getBCZNJ()
 {
  return bcznj;
 }
 
 public void setBCZNJ(int bcznj)
 {
  this.bcznj = bcznj;
 }
 
 public int getBCFLLX()
 {
  return bcfllx;
 }
 
 public void setBCFLLX(int bcfllx)
 {
  this.bcfllx = bcfllx;
 }
 
 public int getBCZNJLX()
 {
  return bcznjlx;
 }
 
 public void setBCZNJLX(int bcznjlx)
 {
  this.bcznjlx = bcznjlx;
 }
 
 public String getLX()
 {
  return lx;
 }
 
 public void setLX(String lx)
 {
  this.lx = lx;
 }
 
 public String getYYWBH()
 {
  return yywbh;
 }
 
 public void setYYWBH(String yywbh)
 {
  this.yywbh = yywbh;
 }
 
 public String getSQYWBH()
 {
  return sqywbh;
 }
 
 public void setSQYWBH(String sqywbh)
 {
  this.sqywbh = sqywbh;
 }
}

